Public Member Functions | Public Attributes | List of all members
libvisio::VSDOptionalLineStyle Struct Reference

`#include <VSDStyles.h>`

## Public Member Functions
| VSDOptionalLineStyle ()
| VSDOptionalLineStyle (const boost::optional< double > &w, const boost::optional< Colour > &col, const boost::optional< unsigned char > &p, const boost::optional< unsigned char > &sm, const boost::optional< unsigned char > &em, const boost::optional< unsigned char > &c, const boost::optional< double > &r, const boost::optional< long > &qlc, const boost::optional< long > &qlm)
| VSDOptionalLineStyle (const VSDOptionalLineStyle &style)=default
| ~VSDOptionalLineStyle ()
VSDOptionalLineStyle & | operator= (const VSDOptionalLineStyle &style)=default
void | override (const VSDOptionalLineStyle &style)

## Public Attributes
boost::optional< double > | width
boost::optional< Colour > | colour
boost::optional< unsigned char > | pattern
boost::optional< unsigned char > | startMarker
boost::optional< unsigned char > | endMarker
boost::optional< unsigned char > | cap
boost::optional< double > | rounding
boost::optional< long > | qsLineColour
boost::optional< long > | qsLineMatrix

## Constructor & Destructor Documentation

## ◆ VSDOptionalLineStyle() [1/3]

libvisio::VSDOptionalLineStyle::VSDOptionalLineStyle | ( |  | ) |
| inline

Referenced by operator=(), override(), and VSDOptionalLineStyle().

## ◆ VSDOptionalLineStyle() [2/3]

libvisio::VSDOptionalLineStyle::VSDOptionalLineStyle | ( | const boost::optional< double > & | w,
|  | const boost::optional< Colour > & | col,
|  | const boost::optional< unsigned char > & | p,
|  | const boost::optional< unsigned char > & | sm,
|  | const boost::optional< unsigned char > & | em,
|  | const boost::optional< unsigned char > & | c,
|  | const boost::optional< double > & | r,
|  | const boost::optional< long > & | qlc,
|  | const boost::optional< long > & | qlm )
| inline

## ◆ VSDOptionalLineStyle() [3/3]

libvisio::VSDOptionalLineStyle::VSDOptionalLineStyle | ( | const VSDOptionalLineStyle & | style | ) |
| default

## ◆ ~VSDOptionalLineStyle()

libvisio::VSDOptionalLineStyle::~VSDOptionalLineStyle | ( |  | ) |
| inline

## Member Function Documentation

## ◆ operator=()

VSDOptionalLineStyle & libvisio::VSDOptionalLineStyle::operator= | ( | const VSDOptionalLineStyle & | style | ) |
| default

## ◆ override()

void libvisio::VSDOptionalLineStyle::override | ( | const VSDOptionalLineStyle & | style | ) |
| inline

## Member Data Documentation

## ◆ cap

boost::optional<unsigned char> libvisio::VSDOptionalLineStyle::cap

Referenced by override(), VSDOptionalLineStyle(), and VSDOptionalLineStyle().

## ◆ colour

boost::optional<Colour> libvisio::VSDOptionalLineStyle::colour

Referenced by override(), VSDOptionalLineStyle(), and VSDOptionalLineStyle().

## ◆ endMarker

boost::optional<unsigned char> libvisio::VSDOptionalLineStyle::endMarker

Referenced by override(), VSDOptionalLineStyle(), and VSDOptionalLineStyle().

## ◆ pattern

boost::optional<unsigned char> libvisio::VSDOptionalLineStyle::pattern

Referenced by override(), VSDOptionalLineStyle(), and VSDOptionalLineStyle().

## ◆ qsLineColour

boost::optional<long> libvisio::VSDOptionalLineStyle::qsLineColour

Referenced by override(), VSDOptionalLineStyle(), and VSDOptionalLineStyle().

## ◆ qsLineMatrix

boost::optional<long> libvisio::VSDOptionalLineStyle::qsLineMatrix

Referenced by override(), VSDOptionalLineStyle(), and VSDOptionalLineStyle().

## ◆ rounding

boost::optional<double> libvisio::VSDOptionalLineStyle::rounding

Referenced by override(), VSDOptionalLineStyle(), and VSDOptionalLineStyle().

## ◆ startMarker

boost::optional<unsigned char> libvisio::VSDOptionalLineStyle::startMarker

Referenced by override(), VSDOptionalLineStyle(), and VSDOptionalLineStyle().

## ◆ width

boost::optional<double> libvisio::VSDOptionalLineStyle::width

Referenced by override(), VSDOptionalLineStyle(), and VSDOptionalLineStyle().

The documentation for this struct was generated from the following file:

- VSDStyles.h